#-----------------------------------------------------------
# %A%
#-----------------------------------------------------------
#
# File: TransferConfig.pm
#
# Desc: This is an empty transfer engine configuration as default.
# 
# (c) Copyright IBM Corporation 1998, 2008. All rights reserved.

package TransferConfig;


@ISA = qw(Exporter);
@EXPORT = qw(transfer_config);

#use diagnostics;
use strict;
use Exporter ();

#-------------------------------------------------------------------------------
# Modify/Add rules here
#-------------------------------------------------------------------------------
my @transfer_rules = (
# Copy PDF LIF files and cleanup. Leave PM LIF files where they are.
{
    RULE_DESC              => 'Move PDF LIF files for PDF loader',
    PROTOCOL               => 'ftp',
    HOST                   => 'localhost',
    PROTOCOL_PATH          => '/usr/bin',
    DIRECTION              => 'OUT',
    # Set this to the OUT_DIR as defined in the properties file
    LOCAL_DIR              => "/appl/virtuo/gways/ericsson-utran/output_d",
    # Set this to the target directory to hold the final pdf blocks
    REMOTE_DIR             => "/appl/virtuo/gways/ericsson-utran/pdf",
    # Create the lock_dir and make sure the file is writable
    TIMESTAMP_FILE         => "/appl/virtuo/gways/ericsson-utran/lock_dir/.pdfotimestamp",
    INPUT_FILE_DESCRIPTION => {
        PDF => '.*-#-PDF-#-.*\.lif',
    },
    DELETE_ORIGINAL        => 'TRUE',
    BULK_TRANSFER          => 'TRUE',
    #STATISTICS_FILENAME    => 'transfer_pdf',   # output transfer stats
    OUTPUT_FORMAT          => 'LIF_Writer',
    USER                   => 'virtuo',        # user used for running gways
    PASS                   => 'virtuo_pwd',    # user password
    DEPTH                  => 0,
},
);

sub transfer_config {
    return \@transfer_rules;
}

1;
