#**********************************************************************
# Licensed Materials - Property of IBM
#
# 5724-W86 5724-X63
#
# (c) Copyright IBM Corp. 2003, 2009. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#**********************************************************************


package Block_Name_Mapping;

@ISA = qw(Exporter);
@EXPORT = qw(get_block_rename_list get_block_manip_list);

use Exporter ();

my %block_rename_list = (
    # AAL0_TP_VCC_TP
    'ManagedElement_TransportNetwork_Aal0TpVccTp' => 'AAL0_Link',
    # AAL1_TP_VCC_TP
    'ManagedElement_TransportNetwork_Aal1TpVccTp' => 'AAL1_Link',
    # AAL2_Access_Point
    'ManagedElement_TransportNetwork_Aal2Sp_Aal2Ap' => 'AAL2_AP',
    # AAL2_Path_VCC_TP
    'ManagedElement_TransportNetwork_Aal2PathVccTp' => 'AAL2_Link',
    # AAL2_SP
    'ManagedElement_TransportNetwork_Aal2Sp' => 'AAL2_SP',
    # AAL5_TP_VCC_TP
    'ManagedElement_TransportNetwork_Aal5TpVccTp' => 'AAL5_Link',
    # Antenna_Branch
    'ManagedElement_Equipment_SectorAntenna_AntennaBranch' => 'ManagedElement_Equipment_Sector_AntennaBranch',
    # ATM_Port
    'ManagedElement_TransportNetwork_AtmPort' => 'ATM_Physical_Link',
    # BS_Carrier
    'ManagedElement_NodeBFunction_Sector_Carrier' => 'ME_NodeBFunction_RbsLocalCell_Carrier',
    # CDMA_Channel
    'ManagedElement_NodeBFunction_Sector_Carrier_Sccpch' => 'ManagedElement_NodeBFunction_Carrier_Sccpch',
    #'ManagedElement_NodeBFunction_Sector_Carrier_Aich' => 'ManagedElement_NodeBFunction_Sector_Carrier_Aich',
    'ManagedElement_NodeBFunction_Sector_Carrier_Prach' => 'ME_NodeBFunction_Sector_Carrier_Prach',
    'ManagedElement_NodeBFunction_Sector_Carrier_HsDschResources' => 'ME_NodeBFunction_HsDschResources',
    'ManagedElement_NodeBFunction_Sector_Carrier_EDchResources' => 'ME_NodeBFunction_Sector_Carrier_EDchResources',
    #'ManagedElement_NodeBFunction_RbsLocalCell' => 'ME_NodeBFunction_RbsLocalCell_Carrier_Prach',
    #
    # Cell
    # Renaming not required
    #'ManagedElement_RncFunction_UtranCell' => 'ManagedElement_RncFunction_UtranCell',
    #'ManagedElement_RncFunction_UtranCell_Hsdsch' => 'ManagedElement_RncFunction_UtranCell_Hsdsch',
    #'ManagedElement_RncFunction_UtranCell_Hsdsch_Eul' => 'ManagedElement_RncFunction_UtranCell_Hsdsch_Eul',
    # Renaming not required
    #
    # Downlink_Baseband_Pool
    'ManagedElement_Equipment_Subrack_DownlinkBaseBandPool' => 'NodeB_DLBasebandPool',
    # E1_Phys_Path_Term
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_Etm1_E1PhysPathTerm' => 'E1_T1_J1_PHYSICAL_LINK',
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_ExchangeTerminal_E1PhysPathTerm' => 'E1_T1_J1_PHYSICAL_LINK',
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_Cbu_ExchangeTerminal_E1PhysPathTerm' => 'E1_T1_J1_PHYSICAL_LINK',
    # E1Ttp
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_Etm41_Os155SpiTtp_Vc4Ttp_Vc12Ttp_E1Ttp' => 'E1Ttp',
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_ExchangeTerminal_Os155SpiTtp_Vc4Ttp_Vc12Ttp_E1Ttp' => 'E1Ttp',
    # E3_Phys_Path_Term
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_Etm3_E3PhysPathTerm' => 'E3_T3_PHYSICAL_LINK',
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_ExchangeTerminal_E3PhysPathTerm' => 'E3_T3_PHYSICAL_LINK',
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_Cbu_ExchangeTerminal_E3PhysPathTerm' => 'E3_T3_PHYSICAL_LINK',
    # Ethernet_Link
    'ManagedElement_IpSystem_Ip_EthernetLink' => 'Ethernet_Link',
    'ManagedElement_IpOam_Ip_EthernetLink' => 'Ethernet_Link',
    # IMA_Group
    'ManagedElement_TransportNetwork_ImaGroup' => 'IMA_GROUP',
    # IMA_Link
    'ManagedElement_TransportNetwork_ImaGroup_ImaLink' => 'IMA_LINK',
    # IP_ATM_Link
    #'ManagedElement_IpSystem_Ip_IpAtmLink'  => 'RBS_RNC_RXI', # added in P7
    #'ManagedElement_IpOam_Ip_IpAtmLink'     => 'RBS_RNC_RXI', # added in P7
    'ManagedElement_IpSystem_Ip_IpAtmLink' => 'IP_ATM_Link',
    'ManagedElement_IpOam_Ip_IpAtmLink' => 'IP_ATM_Link',
    # IP_Interface
    'ManagedElement_IpSystem_Ip' => 'IP_Link',
    'ManagedElement_IpOam_Ip' => 'IP_Link',
    #'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_EtMfg_GigaBitEthernet_IpInterface' => 'PlugInUnit_EtMfg_GigaBitEther_IpIntf',
    #'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_ExchangeTerminalIp_GigaBitEthernet_IpInterface' => 'PlugInUnit_EtMfg_GigaBitEther_IpIntf',
    # LAC
    #'ManagedElement_RncFunction_LocationArea' => 'ManagedElement_RncFunction_LocationArea',
    # Medium_Access_Unit
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_GeneralProcessorUnit_MediumAccessUnit' => 'Processor_Load',
    # MTP3B_AP
    'ManagedElement_TransportNetwork_Mtp3bSpItu_Mtp3bAp' => 'ME_TN_Mtp3bSpItu_Mtp3bAp',
    # MTP3B_SL
    'ManagedElement_TransportNetwork_Mtp3bSpItu_Mtp3bSls_Mtp3bSlItu' => 'ME_TN_Mtp3bSpItu_Mtp3bSls_Mtp3bSlItu',
    # MTP3B_SP
    'ManagedElement_TransportNetwork_Mtp3bSpItu' => 'RNC_Mtp3bSpItu_Signaling',
    # MTP3B_SR
    'ManagedElement_TransportNetwork_Mtp3bSpItu_Mtp3bSrs_Mtp3bSr' => 'ME_TN_Mtp3bSpItu_Mtp3bSrs_Mtp3bSr',
    # MTP3B_SRS
    'ManagedElement_TransportNetwork_Mtp3bSpItu_Mtp3bSrs' => 'ME_TN_Mtp3bSpItu_Mtp3bSrs',
    #
    # Neighbour
    # Renaming not required
    #'ManagedElement_RncFunction_UtranCell_GsmRelation' => 'ManagedElement_RncFunction_UtranCell_GsmRelation',
    #'ManagedElement_RncFunction_UtranCell_UtranRelation' => 'ManagedElement_RncFunction_UtranCell_UtranRelation',
    # Renaming not required
    #
    #'ManagedElement_RncFunction_Handover' => 'ManagedElement_RncFunction_Handover',
    # Neighbour_RNC
    #'ManagedElement_RncFunction_IurLink' => 'ManagedElement_RncFunction_IurLink',
    #'ManagedElement_RncFunction_IurLink_IurCchCp' => 'ManagedElement_RncFunction_IurLink_IurCchCp',
    #'ManagedElement_RncFunction_IurLink_IurCchUp' => 'ManagedElement_RncFunction_IurLink_IurCchUp',
    # NNI_SAAL_TP
    'ManagedElement_TransportNetwork_NniSaalTp' => 'NniSAalTp_Signaling',
    # NodeB
    #'ManagedElement' => 'ManagedElement',
    'ManagedElement_NodeBFunction_Iub_IubDataStreams' => 'ME_NodeBFunction_IubDataStreams',
    'ManagedElement_NodeBFunction_Iub_NbapCommon' => 'ME_NodeBFunction_NbapCommon',
    'ManagedElement_NodeBFunction' => 'ManagedElement',
    # OS155_Phys_Path_Term
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_ExchangeTerminal_Os155SpiTtp' => '155_Physical_Link',
    # OSPF
    'ManagedElement_IpSystem_Ospf' => 'Ospf',
    # OSPF_Area
    'ManagedElement_IpSystem_Ospf_OspfArea' => 'OspfArea',
    # OSPF_Interface
    'ManagedElement_IpSystem_Ospf_OspfInterface' => 'OspfInterface',
    # Plug_In_Unit
    #'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_SpbDeviceGroup' => 'ME_Eqpt_Subrack_Slot_PlugInUnit_SpbDeviceGroup',
    #'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_SpbDeviceGroup_CcDevice' => 'ME_Eqpt_Subrack_Slot_PlugInUnit_SpbDeviceGroup_CcDevice',
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_SpbDeviceGroup_SpbDeviceSet_CcDevice' => 'ME_Eqpt_Subrack_Slot_PlugInUnit_SpbDvGrp_CcDevice',
    #'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_SpbDeviceGroup_DcDevice' => 'ME_Eqpt_Subrack_Slot_PlugInUnit_SpbDeviceGroup_DcDevice',
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_SpbDeviceGroup_SpbDeviceSet_DcDevice' => 'ME_Eqpt_Subrack_Slot_PlugInUnit_SpbDvGrp_DcDevice',
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_GeneralProcessorUnit_LoadControl' => 'PIU_GeneralProcessorUnit_LoadControl',
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit' => 'Plug_In_Unit',
    # PVC
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_SpbDeviceGroup_SpbDeviceSet_PdrDevice' => 'ManagedElement_RncFunction_PdrDevice',
    'ManagedElement_RncFunction_RncModule_PacketDataRouter' => 'ME_RncFunction_RncModule_PacketDataRouter',
    # Radio_Link
    'ManagedElement_NodeBFunction_Sector_Carrier_RadioLinks' => 'ME_NodeBFunction_Carrier_RadioLinks',
    # RNC
    #'ManagedElement_RncFunction' => 'ManagedElement_RncFunction',
    'ManagedElement_RncFunction_IubLink_NbapCommon' => 'ManagedElement_RncFunction_NbapCommon',
    #'ManagedElement_RncFunction_Paging' => 'ManagedElement_RncFunction_Paging',
    #'ManagedElement_RncFunction_Rcs' => 'ManagedElement_RncFunction_Rcs',
    #'ManagedElement_RncFunction_SecurityHandling' => 'ManagedElement_RncFunction_SecurityHandling',
    #'ManagedElement_RncFunction_UeRc' => 'ManagedElement_RncFunction_UeRc',
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_GeneralProcessorUnit' => 'Plug_In_Unit_GeneralProcessorUnit', # Maintained
    # RNC_RAB
    #'ManagedElement_RncFunction_UeRc' => 'ManagedElement_RncFunction_UeRc',
    # Routing_Area
    'ManagedElement_RncFunction_LocationArea_RoutingArea' => 'ME_RncFunction_LocationArea_RoutingArea',
    # SCCP_Accounting_Criteria
    'ManagedElement_TransportNetwork_SccpSp_SccpScrc_SccpAccountingCriteria' => 'RNC_Signaling_Connection_Ctrl_Acc_Criteria',
    # SCCP_Policing
    'ManagedElement_TransportNetwork_SccpSp_SccpScrc_SccpPolicing' => 'RNC_Signaling_Connection_Control_Policing',
    # SCCP_SCRC
    'ManagedElement_TransportNetwork_SccpSp_SccpScrc' => 'RNC_Signaling_Connection_Control',
    # SCCP_SP
    'ManagedElement_TransportNetwork_SccpSp' => 'RNC_Signaling_Connection_Control_SccpSp',
    # SONET_STS1
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_Etmc41_Os155SpiTtp_Sts1SpeTtp' => 'STS1_TP',
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_ExchangeTerminal_Os155SpiTtp_Sts1SpeTtp' => 'STS1_TP',
    # SONET_STS3
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_Etm4_Os155SpiTtp_Sts3CspeTtp' => 'STS3_TP',
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_ExchangeTerminal_Os155SpiTtp_Sts3CspeTtp' => 'STS3_TP',
    # T1Ttp
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_Etm41_Os155SpiTtp_Sts1SpeTtp_Vt15Ttp_T1Ttp' => 'T1Ttp',
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_ExchangeTerminal_Os155SpiTtp_Sts1SpeTtp_Vt15Ttp_T1Ttp' => 'T1Ttp',
    # UNI_SAAL_TP
    'ManagedElement_TransportNetwork_UniSaalTp' => 'UniSAalTp_Signaling',
    # UpLink_Baseband_Pool
    'ManagedElement_Equipment_Subrack_UplinkBaseBandPool' => 'NodeB_ULBasebandPool',
    # VC12_TP
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_Etm41_Os155SpiTtp_Vc4Ttp_Vc12Ttp' => 'VC12',
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_ExchangeTerminal_Os155SpiTtp_Vc4Ttp_Vc12Ttp' => 'VC12',
    # VC4_TP
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_ExchangeTerminal_Os155SpiTtp_Vc4Ttp' => 'VC4',
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_Etm41_Os155SpiTtp_Vc4Ttp' => 'VC4',
    # VCL_TP
    'ManagedElement_TransportNetwork_AtmPort_VplTp_VpcTp_VclTp' => 'Virtual_Channel_Link',
    # VPC_TP
    'ManagedElement_TransportNetwork_AtmPort_VplTp_VpcTp' => 'Virtual_Path_Connection',
    # VPL_TP
    'ManagedElement_TransportNetwork_AtmPort_VplTp' => 'Virtual_Path_Link',
    # VT1_5_TP
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_Etmc41_Os155SpiTtp_Sts1SpeTtp_Vt15Ttp' => 'VT15',
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_ExchangeTerminal_Os155SpiTtp_Sts1SpeTtp_Vt15Ttp' => 'VT15',
    # CchFrameSynch
    #'ManagedElement_RncFunction_CchFrameSynch' => 'ManagedElement_RncFunction_CchFrameSynch',
    # DchFrameSynch
    #'ManagedElement_RncFunction_DchFrameSynch' => 'ManagedElement_RncFunction_DchFrameSynch',
    # Fast_Ethernet
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_GeneralProcessorUnit_FastEthernet' => 'ME_RNC_Eqpt_FastEthernet',
    # GigabitEthernet
    #'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_EtMfg_GigaBitEthernet' => 'ME_RNC_Eqpt_GigaBitEthernet',
    #'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_ExchangeTerminalIp_GigaBitEthernet' => 'ME_RNC_Eqpt_GigaBitEthernet',
    # IpAccessHost_Gpb
    'ManagedElement_IpSystem_IpAccessHostGpb' => 'IpSystem_IpAccessHostGpb',
    # IpAccessHost_Spb
    'ManagedElement_IpSystem_IpAccessHostSpb' => 'RNC_IP_Access',
    # IpAccessUdpHost_Msb
    'ManagedElement_IpSystem_UdpHostMainMsb_IpAccessUdpHostMsb' => 'IpSystem_IpAccessUdpHostMsb',
    # IpEthPacketDataRouter
    #'ManagedElement_RncFunction_RncModule_IpEthPacketDataRouter' => 'ME_RNC_IpEthPDR', - valnt00077449
    'ManagedElement_Equipment_SpDevicePool_PdrDevice_IpEthPacketDataRouter' => 'ME_RNC_IpEthPDR',
    # IubEdch
    'ManagedElement_RncFunction_IubLink_IubEdch' => 'ME_RNC_IubLink_IubEdch',
    # Mtp2_Tp
    'ManagedElement_TransportNetwork_Mtp2tpItu' => 'Mtp2tpItu',
    # M3UA
    'ManagedElement_TransportNetwork_Mtp3bSpItu_M3uAssociation' => 'ME_TN_Mtp3bSpItu_M3uAssociation',
    # RNC
    #'ManagedElement_RncFunction_Ranap' => 'ManagedElement_RncFunction_Ranap',
    # SCTP
    'ManagedElement_TransportNetwork_Sctp' => 'SCTP',
    # URA
    'ManagedElement_RncFunction_Ura' => 'ME_RNC_URA',
    # EthernetSwitchPort - P6
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_ExchangeTerminalIp_EthernetSwitch_EthernetSwitchPort' => 'EthernetSwitchPort',
    # InternalEthernetPort - P6
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_ExchangeTerminalIp_InternalEthernetPort' => 'InternalEthernetPort',
    # IPAccessHost_Et - P6
    'ManagedElement_IpSystem_IpAccessHostEt' => 'IpAccessHostEt',
    # Iub - P6
    'ManagedElement_RncFunction_IubLink' => 'ME_RNC_IubLink',
    # Iu - P6
    'ManagedElement_RncFunction_CnOperator_IuLink' => 'ME_RNC_CNOPR_IuLink',
    # Mbms - P6
    'ManagedElement_RncFunction_Mbms' => 'ME_RNC_Mbms',
    # Cell - P6
    'ManagedElement_RncFunction_UtranCell_MbmsCch' => 'ME_RNC_UtranCell_MbmsCch',
    # NodeSynch - P6
    'ManagedElement_RncFunction_IubLink_NodeSynch' => 'ME_RNC_IubLink_NodeSynch',
    # Positioning_Service_Class - P6
    'ManagedElement_RncFunction_UePositioning_PositioningServiceClass' => 'ME_RNC_UePost_PositioningServiceClass',
    # SwitchPortStp - P6
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_ExchangeTerminalIp_EthernetSwitch_EthernetSwitchPort_SwitchPortStp' => 'SwitchPortStp',
    # SwitchStp - P6
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_ExchangeTerminalIp_EthernetSwitch_SwitchStp' => 'SwitchStp',
    # Synchronization - P6
    'ManagedElement_TransportNetwork_Synchronization' => 'Synchronization',
    # InternalEthernetPort_IpIf - P6.
    #'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_ExchangeTerminalIp_InternalEthernetPort_IpInterface' => 'PlugInUnit_ExchangeTerminalIp_InternalEthPrt_IpIntf', Renamed in P7
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_ExchangeTerminalIp_InternalEthernetPort_IpInterface' => 'PInU_ExchTermIp_InternalEthPrt_IpIntf',
    # CC_SP_Device - P6
    'ManagedElement_Equipment_SpDevicePool_CcDevice' => 'ME_Eqpt_SpDevicePool_CcDevice',
    # DC_SP_Device - P6
    'ManagedElement_Equipment_SpDevicePool_DcDevice' => 'ME_Eqpt_SpDevicePool_DcDevice',
    # PDR_SP_Device - P6
    'ManagedElement_Equipment_SpDevicePool_PdrDevice' => 'ME_Eqpt_SpDevicePool_PdrDevice',
    # PacketDataRouter - P6
    'ManagedElement_Equipment_SpDevicePool_PdrDevice_PacketDataRouter' => 'ME_Eqpt_SpDevicePool_PdrDevice_PacketDataRouter',
    # Medium_Access_Unit - P6
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_Cbu_GeneralProcessorUnit_MediumAccessUnit' => 'CBU_Processor_Load',
    # EthernetSwitchModulePort - P7
    'ManagedElement_Equipment_Subrack_Slot_PlugInUnit_EthernetSwitchModule_EthernetSwitchModulePort' => 'ME_EthernetSwitchModulePort',
    # RncCapacity - P7
    'ManagedElement_SystemFunctions_Licensing_RncCapacity' => 'ManagedElement_RncCapacity',
    # SasPositioning - P7
    'ManagedElement_RncFunction_SasPositioning' => 'ME_RncFunction_SasPositioning',
    # Pcap - P7
    'ManagedElement_RncFunction_SasPositioning_Pcap' => 'ME_RncFunction_SasPositioning_Pcap',
    # InternalLinkGroup - P7.1
    'ManagedElement_SwitchFabric_InternalLinkGroup' => 'SwitchFabric_InternalLinkGroup',
    # IpHostLink - P7.1
    'ManagedElement_IpOam_Ip_IPHostLink' => 'IPHostLink',
);


my %block_manip_list = (
    'AAL0_Link' => 'RBS_RNC_RXI',
    'AAL1_Link' => 'RBS_RNC_RXI',
    'AAL2_AP' => 'RBS_RNC_RXI',
    'AAL2_Link' => 'RBS_RNC_RXI',
    'AAL2_SP' => 'RBS_RNC_RXI',
    'AAL5_Link' => 'RBS_RNC_RXI',
    'ATM_Physical_Link' => 'RBS_RNC_RXI',
    'E1_T1_J1_PHYSICAL_LINK' => 'RBS_RNC_RXI',
    'E1Ttp' => 'RBS_RNC_RXI',
    'E3_T3_PHYSICAL_LINK' => 'RBS_RNC_RXI',
    'Ethernet_Link' => 'RBS_RNC_RXI',
    'IMA_GROUP' => 'RBS_RNC_RXI',
    'IMA_LINK' => 'RBS_RNC_RXI',
    'IP_ATM_Link' => 'RBS_RNC_RXI',
    'Processor_Load' => 'RBS_RNC_RXI',
    'NniSAalTp_Signaling' => 'RBS_RNC_RXI',
    '155_Physical_Link' => 'RBS_RNC_RXI',
    'Ospf' => 'RBS_RNC_RXI',
    'OspfArea' => 'RBS_RNC_RXI',
    'OspfInterface' => 'RBS_RNC_RXI',
    'PIU_GeneralProcessorUnit_LoadControl' => 'RBS_RNC_RXI',
    'Plug_In_Unit' => 'RBS_RNC_RXI',
    'Plug_In_Unit_GeneralProcessorUnit' => 'RBS_RNC_RXI',
    'STS1_TP' => 'RBS_RNC_RXI',
    'STS3_TP' => 'RBS_RNC_RXI',
    'T1Ttp' => 'RBS_RNC_RXI',
    'UniSAalTp_Signaling' => 'RBS_RNC_RXI',
    'VC12' => 'RBS_RNC_RXI',
    'Virtual_Channel_Link' => 'RBS_RNC_RXI',
    'Virtual_Path_Connection' => 'RBS_RNC_RXI',
    'Virtual_Path_Link' => 'RBS_RNC_RXI',
    'VT15' => 'RBS_RNC_RXI',
    'VC4' => 'RBS_RNC_RXI',
    'IP_Link' => 'RBS_RNC_RXI',
    'IpSystem_IpAccessUdpHostMsb' => 'RBS_RNC',
    'IpSystem_IpAccessHostGpb' => 'RBS_RNC',
    'SCTP' => 'RBS_RNC',
    'Mtp2tpItu' => 'RBS_RNC',
    'EthernetSwitchPort' => 'RBS_RNC_RXI',
    'InternalEthernetPort' => 'RBS_RNC_RXI',
    'IpAccessHostEt' => 'RBS_RNC_RXI',
    'SwitchPortStp' => 'RBS_RNC_RXI',
    'SwitchStp' => 'RBS_RNC_RXI',
    'Synchronization' => 'RBS_RNC_RXI',
    #'PlugInUnit_ExchangeTerminalIp_InternalEthPrt_IpIntf' => 'RBS_RNC_RXI', renamed to PInU_ExchTermIp_InternalEthPrt_IpIntf - P7
    'PInU_ExchTermIp_InternalEthPrt_IpIntf' => 'RBS_RNC_RXI',
    'CBU_Processor_Load' => 'RBS_RNC_RXI',
    'SwitchFabric_InternalLinkGroup' => 'RBS_RNC_RXI',
    'IPHostLink' => 'RBS_RNC_RXI',
);

sub get_block_rename_list {
    return \%block_rename_list;
};

sub get_block_manip_list {
    return \%block_manip_list;
};

1;
